#if !defined(AFX_SERVERDLG_H__4E1600A0_DF32_11D3_A9A3_0050DA07320F__INCLUDED_)
#define AFX_SERVERDLG_H__4E1600A0_DF32_11D3_A9A3_0050DA07320F__INCLUDED_

#include "Server.h"	// Added by ClassView
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ServerDlg.h : header file
//

#include "Client.h"
#include <linklist.h>

/////////////////////////////////////////////////////////////////////////////
// CServerDlg dialog

class CServerDlg : public CDialog
{
// Construction
public:
  void UpdateClients(LinkList<CClient>* clients);
	void UpdateStats();
	void DisplayLine(const CString& line);
	void ClearClientList();
	CServerDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CServerDlg)
	enum { IDD = IDD_SERVER_DIALOG };
	CStatic	m_totcli;
	CStatic	m_write;
	CStatic	m_read;
	CEdit	m_namebox;
	CEdit	m_chatbox;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CServerDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	CServer m_server;
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CServerDlg)
	afx_msg void OnBootUser();
	afx_msg void OnShutdownServer();
	afx_msg void OnClose();
	virtual BOOL OnInitDialog();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SERVERDLG_H__4E1600A0_DF32_11D3_A9A3_0050DA07320F__INCLUDED_)
