// MUUDPICDlg.h : header file
//

#if !defined(AFX_MUUDPICDLG_H__210437E6_A7FF_11D3_A9A3_0050DA07320F__INCLUDED_)
#define AFX_MUUDPICDLG_H__210437E6_A7FF_11D3_A9A3_0050DA07320F__INCLUDED_

#include "Connection.h"	// Added by ClassView
#include "Client.h"
#include <linklist.h>

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CMUUDPICDlg dialog

class CMUUDPICDlg : public CDialog
{
// Construction
public:
  void UpdateClients(LinkList<CClient>* clients);
	void ClearChatLog();
	void ClearClientList();
	void SetClientName(const CString& name);
	void DisplayLine(const CString& msg);
	void SetServerLocation(const sockaddr_in& loc);
	void UpdateStats();
	CMUUDPICDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CMUUDPICDlg)
	enum { IDD = IDD_MUUDPIC_DIALOG };
	CStatic	m_totcli;
	CStatic	m_write;
	CStatic	m_read;
	CEdit	m_msgbox;
	CEdit	m_namebox;
	CEdit	m_chatbox;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMUUDPICDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	CString m_cliname;
	sockaddr_in m_serverloc;
	HICON m_hIcon;
	CConnection m_connection;

	// Generated message map functions
	//{{AFX_MSG(CMUUDPICDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnDisconnect();
	afx_msg void OnLogon();
	afx_msg void OnQuit();
	afx_msg void OnSendbutton();
	afx_msg void OnClose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MUUDPICDLG_H__210437E6_A7FF_11D3_A9A3_0050DA07320F__INCLUDED_)
